/*
  OLED.h - Library for using the NewHaven OLED Character Display:NHD-0220DZW-AG5 & NHD-0420DZW-AG5
  Created by Scott Swaaley, November 25, 2013
  Released into the public domain.
*/

#ifndef OLED_h
#define OLED_h

#include "Arduino.h"

class OLED
{
  public:
	byte SCL_PIN;
	byte SDOUT_PIN;
	byte CS_PIN;
	byte commandDelay; 
	
	OLED(byte _SCL_PIN, byte _SDOUT_PIN, byte _CS_PIN);
    void setPins(byte _SCL_PIN, byte _SDOUT_PIN, byte _CS_PIN);
	void begin();
	void init();
	void writeCommand(unsigned char ins);
	void print(byte lineNumber,String contentString);
	void print(byte lineNumber,char contentChar);
	void toggleClock();
	void preWrite(byte writeType);
	void postWrite();
	void setScroll(byte lineNumber, int _scrollDelay, String contentString);
	void scrollLine();
	byte getAddress(byte lineNumber, byte charNumber);
	
  private:

};

#endif