/*
 OLED Library - Hello World
 
 Demonstrates how to display text on the NewHaven OLED Character Displays:
 Model Number: NHD-0220DZW-AG5 & NHD-0420DZW-AG5
 Data Sheet: http://www.newhavendisplay.com/specs/NHD-0420DZW-AG5.pdf
  
 Requires only three connections: serial clock, serial data out, and chip select.
 
 Library originally added November 25, 2013
 by Scott Swaaley
 
 This example code is in the public domain.
*/

#include <OLED.h>

OLED oled(4,3,2); // sends pin numbers for SCL, SDO, and CS, respectively.

void setup() {
  // initializes the OLED
  oled.begin();
  oled.print(1,"Hello World!");
}

void loop() {
  
  // print the number of ms the Arduino has been running
  // cast the number as a String  
  oled.print(2,String(millis()/1000));
}

