/*
 OLED Library - Simple Line Scroll
 
 Demonstrates how to scroll one line on the NewHaven OLED Character Displays:
 Model Number: NHD-0220DZW-AG5 & NHD-0420DZW-AG5
 Data Sheet: http://www.newhavendisplay.com/specs/NHD-0420DZW-AG5.pdf
 
 This sketch scrolls a string across a single line of the lcd without altering
 the contents of the other lines.
 
 Requires only three connections: serial clock, serial data out, and chip select.
 
 Library originally added November 25, 2013
 by Scott Swaaley
 
 This example code is in the public domain.
*/

#include <OLED.h>

OLED oled(4,3,2); // sends pin numbers for SCL, SDO, and CS, respectively.

void setup() {
  // initializes the OLED
  oled.begin();
  
  // sets the String to scroll on the 1st line as well as the scroll speed (in ms)  
  oled.setScroll(1,100,"Daisy, Daisy, give me your answer, do, I'm half crazy all for the love of you. It won't be a stylish marriage, I can't afford a carriage, But you'd look sweet upon the seat Of a bicycle built for two.");
}

void loop() {
  // as long as there are no significant delays elsewhere in your code, this will scroll through your message
  oled.scrollLine();
}
